<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2004-2007 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="mtlb_l">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_l</refname>
    <refpurpose>Matlab left division emulation function</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>Matlab and Scilab left division behave differently in some particular cases:</para>
    <itemizedlist>
      <listitem>
        <para>    
	With character string operands: The <literal>\</literal> 
	operator can not be used into Scilab with character strings, while
	in Matlab it can. And in this case, result is transposed in a very strange way...
	</para>
      </listitem>
    </itemizedlist>
    <para>
    The function <literal>mtlb_l(A,B)</literal> is used by
    <literal>mfile2sci</literal> to replace <literal>A\B</literal> when it was not
    possible to know what were the operands while porting Matlab code to Scilab. This function will
    determine the correct semantic at run time. If you want to have a
    more efficient code it is possible to replace <literal>mtlb_l</literal> calls:
    </para>
    <itemizedlist>
      <listitem>
        <para>
	If both <literal>A</literal> and <literal>B</literal> are not character strings
	<literal>mtlb_l(A,B)</literal> may be replaced by <literal>A\B</literal>.
	</para>
      </listitem>
    </itemizedlist>
    <para>Caution: <literal>mtlb_l</literal> has not to be used for hand coded functions.</para>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
